List forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"form_kind": "adoption_application",
"is_published": true,
"description": "<string>",
"success_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"field_count": 123,
"new_submissions": 123,
"fields": [
{
"id": "<string>",
"field_key": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"help_text": "<string>",
"sort_order": 123
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Forms
List forms
Every form your key may read, by title, each with its questions. There is no permission of its own for forms: a form belongs to the area its kind does (see FormKind), and a key sees the forms in areas it may read. There is no paging.
GET
/
api
/
forms
List forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"form_kind": "adoption_application",
"is_published": true,
"description": "<string>",
"success_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"field_count": 123,
"new_submissions": 123,
"fields": [
{
"id": "<string>",
"field_key": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"help_text": "<string>",
"sort_order": 123
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}